View Issue Details

IDProjectCategoryView StatusLast Update
16715Bug reportsLimeSurvey Websitepublic2020-12-30 19:27
ReporterDenisChenu Assigned Toeddylackmann  
PrioritynoneSeverityminor 
Status closedResolutionreopened 
Summary16715: Page not found on previous release
DescriptionWas unable to download a previous release
Steps To ReproduceGo to https://community.limesurvey.org/release/200909/

Check the url :for download : https://community.limesurvey.org/release/200909/release/3-23-6 : 404
Try with https://community.limesurvey.org/release/200909/release/3.23.3 : 404 too
Additional InformationIt work before : we have a clean way to sonwload previous release, and it's great
TagsNo tags attached.
Complete LimeSurvey version number (& build)4.4.0
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Activities

eddylackmann

eddylackmann

2020-10-02 12:47

administrator   ~60049

will fix it
DenisChenu

DenisChenu

2020-10-08 11:22

developer   ~60116

I see the fix : you remove the lnk (but 404 still there).

Confirmed there are no way to download old release ?

(sorry to reopen for confirmation …)
eddylackmann

eddylackmann

2020-10-08 11:33

administrator   ~60120

wich 404 ??

https://community.limesurvey.org/release/200909/release/3-23-6 ist no a valid link and its normal that it shows 404 . So the link generated by the button or link is correct now ! --> https://community.limesurvey.org/release/200909/

There is no way to download previous releases . We want our users to use / downloads the latest available release.

so if you are on a old release the notice will linked you to the latest release. Latest Lts will redirect you to the latest LTS and old Ls4 to latest LS4 release


Old releases was not available on the old website.
LTS.PNG (110,276 bytes)
Old.PNG (68,617 bytes)   
Old.PNG (68,617 bytes)   
DenisChenu

DenisChenu

2020-10-08 12:06

developer   ~60122

Yes, i see.

You confirm : no way to get old release (except with GIT)
cdorin

cdorin

2020-12-30 19:27

manager   ~61340

fixed in 4.4.0 rc1

Issue History

Date Modified Username Field Change
2020-10-01 15:20 DenisChenu New Issue
2020-10-02 12:46 cdorin Assigned To => eddylackmann
2020-10-02 12:46 cdorin Status new => assigned
2020-10-02 12:47 eddylackmann Note Added: 60049
2020-10-08 10:24 eddylackmann Status assigned => resolved
2020-10-08 10:24 eddylackmann Resolution open => fixed
2020-10-08 10:24 eddylackmann Status resolved => closed
2020-10-08 11:22 DenisChenu Status closed => feedback
2020-10-08 11:22 DenisChenu Resolution fixed => reopened
2020-10-08 11:22 DenisChenu Note Added: 60116
2020-10-08 11:33 eddylackmann Note Added: 60120
2020-10-08 11:33 eddylackmann File Added: LTS.PNG
2020-10-08 11:33 eddylackmann File Added: Old.PNG
2020-10-08 11:33 eddylackmann Status feedback => resolved
2020-10-08 12:06 DenisChenu Note Added: 60122
2020-12-30 19:27 cdorin Note Added: 61340
2020-12-30 19:27 cdorin Status resolved => closed